<?php
/**
 * @package    db8optionslite
 *
 * @author     Peter Martin <joomla@db8.eu>
 * @copyright  Copyright 2016-2017 by Peter Martin
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://db8.eu
 */

defined('_JEXEC') or die;

/**
 * Db8optionslite
 *
 * @package  db8optionslite
 * @since    1.0
 */
class Db8optionsliteModelAbout extends JModelList
{
	function getExtensionData()
	{
		$db = JFactory::getDbo();

		$query = $db->getQuery(true)
			->select(array('e.extension_id', 'e.type', 'e.name', 'e.manifest_cache', 'us.update_site_id', 'us.enabled', 'us.extra_query'))
			->from($db->quoteName('#__extensions', 'e'))
			->join('LEFT OUTER', $db->quoteName('#__update_sites_extensions', 'use') . ' ON (' . $db->quoteName('e.extension_id') . ' = ' .
				$db->quoteName('use.extension_id') . ')')
			->join('LEFT OUTER', $db->quoteName('#__update_sites', 'us') . ' ON (' . $db->quoteName('us.update_site_id') . ' = ' .
				$db->quoteName('use.update_site_id') . ')')
			->where($db->quoteName('element') . ' = ' . $db->quote('com_db8optionslite'));

		$db->setQuery($query);

		return $db->loadObject();
	}

	/**
	 * @param $downloadid -> Requires the download id from RD-Media
	 * @param $element    -> Requires the element of the component/module/plugin
	 * @param $name       -> Requires the name of the component to be saved.
	 *
	 * @return bool
	 *
	 * @since 1.0.0
	 */
	public static function updateXMLscheme($downloadid, $element, $name)
	{
		$update_url = 'https://db8.eu/index.php?option=com_rdsubs&view=updater&format=xml&element=com_db8optionslite&type=component';
		$component  = self::getExtensionData($element);

		$extension                       = new stdClass();
		$extension->update_site_id       = $component->update_site_id;
		$extension->name                 = $name;
		$extension->type                 = 'extension';
		$extension->location             = $update_url;
		$extension->enabled              = 1;
		$extension->last_check_timestamp = 0;
		$extension->extra_query          = 'key=' . $downloadid;

		if (!$component->update_site_id)
		{
			JFactory::getDbo()->insertObject('#__update_sites', $extension);
			$update_site_id = JFactory::getDbo()->insertid();

			$update                 = new stdClass();
			$update->update_site_id = $update_site_id;
			$update->extension_id   = $component->extension_id;

			JFactory::getDbo()->insertObject('#__update_sites_extensions', $update);
		}
		else
		{
			JFactory::getDbo()->updateObject('#__update_sites', $extension, 'update_site_id');
		}

		JFactory::getApplication()->enqueueMessage(JText::_('COM_DB8OPTIONSLITE_AUTOMATIC_UPDATES_ENABLED'));

		return true;
	}



}
