<?php
/**
 * @package    db8optionslite
 *
 * @author     Peter Martin <joomla@db8.eu>
 * @copyright  Copyright 2016-2017 by Peter Martin
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://db8.eu
 */

defined('_JEXEC') or die;

$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
$layout = new JLayoutFile('components.com_db8optionslite.layouts.import_body', JPATH_ADMINISTRATOR);
$layoutFooter = new JLayoutFile('components.com_db8optionslite.layouts.import_footer', JPATH_ADMINISTRATOR);

?>

<style>
	.import-btn {
		position: relative;
	}

	.import-btn input {
		position: absolute;
		width: 100%;
		height: 100%;
		right: 0;
		top: 0;
		display: block;
		z-index: 100;
		opacity:0;
		filter:alpha(opacity:0);
	}

	table td.text-center {
		text-align: center;
	}
</style>

<script>
	jQuery(document).ready(function () {
		jQuery('#adminForm').submit(function(){
		});
	});
</script>

<form action="<?php echo JRoute::_('index.php?option=com_db8optionslite&view=components'); ?>" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">

	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>

	<div id="j-main-container" class="span10">
		<?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
		<div class="clearfix"></div>

	<table class="table table-striped" id="optionsList">
		<thead>
		<tr>
			<th width="1%" class="hidden-phone">
				<input type="checkbox" name="checkall-toggle" value=""
				       title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?>"
				       onclick="Joomla.checkAll(this)"/>
			</th>
            <th width="10%" class='left'>
				<?php echo JText::_('COM_DB8OPTIONSLITE_HEADING_ACTIVATE'); ?>
			</th>
			<th class='title'>
				<?php echo JHtml::_('grid.sort',  'JGLOBAL_TITLE', 'e.name', $listDirn, $listOrder); ?>
			</th>
            <th width="8%" class='left'>
				<?php echo JText::_('COM_DB8OPTIONSLITE_EXTENSION_TYPE'); ?>
            </th>
            <th width="8%" class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_DB8OPTIONSLITE_HEADING_LOCATION', 'e.client_id', $listDirn, $listOrder); ?>
			</th>
			<th class='left'>
				<?php echo JText::_('COM_DB8OPTIONSLITE_HEADING_ACTIONS'); ?>
			</th>
<?php /*
			<th class='left'>
				<?php echo JHtml::_('grid.sort',  'MD5 test (obsolete)', 'a.params_imported_md5', $listDirn, $listOrder); ?>
			</th>
			<th class='title'>
				<?php echo JHtml::_('grid.sort',  'State (obsolete)', '', $listDirn, $listOrder); ?>
			</th>
 */ ?>
			<th class='left'>
				<?php echo JHtml::_('grid.sort',  'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
			</th>
		</tr>
		</thead>
		<tfoot>
		<tr>
			<td colspan="<?php echo isset($this->items[0]) ? count(get_object_vars($this->items[0])) : 10; ?>">
				<?php echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
		</tfoot>
		<tbody>
		<?php foreach ($this->items as $i => $item) : ?>
		<tr class="row<?php echo $i % 2; ?>">

			<td class="hidden-phone">
				<?php echo JHtml::_('grid.id', $i, $item->extension_id); ?>
			</td>
			<td class="left">
				<div class="btn-group">

					<?php // joomla icon: the current options are identical to original backed-up options ?>
					<?php /*if ($item->params_previous_md5 == $item->params_current_md5): ?>
						<a href="#" onclick="return listItemTask('cb0','articles.featured')" class="btn active btn-success hasTooltip"
						   title="" data-original-title="Toggle featured status.">
							<span class="icon-joomla"></span>
						</a>
					<?php else: ?>
						<a href="#" onclick="return listItemTask('cb0','articles.featured')" class="btn hasTooltip"
						   title="" data-original-title="Toggle featured status.">
							<span class="icon-joomla"></span>
						</a>
					<?php endif;*/?>


					<?php// Current Settings (Joomla icon) ?>
					<?php if ($item->params_current_md5 <> $item->params_previous_md5
						&& $item->params_current_md5 <> $item->params_imported_md5
						&& !empty($item->params_previous)): ?>
						<a href="<?php echo Db8optionsliteHelper::getConfigUrl($item->name, $item->type, $item->element,
							$item->folder, $item->client_id, $item->extension_id); ?>"
						   onclick=""
						   class="btn btn-danger hasTooltip"
						   title=""
						   data-original-title="<?php echo JText::_('COM_DB8OPTIONSLITE_OPTIONS_OPTIONS_CHANGED'); ?>">
							<span class="icon-warning"> </span>
						</a>
					<?php elseif (!$item->params_current) : ?>
						<a href="javascript:void(0);"
						   onclick=""
						   class="btn disabled btn-grey hasTooltip"
						   title=""
						   data-original-title="<?php echo JText::_('COM_DB8OPTIONSLITE_OPTIONS_OPTIONS_NOOPTIONS'); ?>">
							<span class="icon-options"> </span>
						</a>
					<?php else : ?>
						<a href="javascript:void(0);"
						   onclick=""
						   class="btn active btn-inverse hasTooltip"
						   title=""
						   data-original-title="<?php echo JText::_('COM_DB8OPTIONSLITE_OPTIONS_OPTIONS_HASOPTIONS'); ?>">
							<span class="icon-options"> </span>
						</a>
					<?php endif; ?>


					<?php// Previous Settings (Previous icon) ?>
					<?php if (!$item->params_previous) : ?>
						<a href="javascript:void(0);"
						   onclick=""
						   class="btn disabled btn-grey hasTooltip"
						   title=""
						   data-original-title="<?php echo JText::_('COM_DB8OPTIONSLITE_OPTIONS_JOPTIONS_NOOPTIONS'); ?>">
							<span class="icon-joomla"> </span>
						</a>
					<?php elseif ($item->params_previous_md5 == $item->params_current_md5) : ?>
						<a href="javascript:void(0);"
						   onclick=""
						   class="btn active btn-success hasTooltip"
						   title=""
						   data-original-title="<?php echo JText::_('COM_DB8OPTIONSLITE_OPTIONS_JOPTIONS_ACTIVE'); ?>">
							<span class="icon-joomla"> </span>
						</a>
					<?php else: ?>
						<a href="javascript:void(0);"
						   onclick="document.forms.adminForm.type_of_param.value = 'original'; return listItemTask('cb<?php echo $i;?>','components.change')"
						   class="btn btn-warning hasTooltip"
						   title=""
						   data-original-title="<?php echo JText::_('COM_DB8OPTIONSLITE_OPTIONS_JOPTIONS_BACK'); ?>">
							<span class="icon-joomla"> </span>
						</a>
					<?php endif; ?>

					<?php// Imported Settings (box icon) ?>
					<?php if (!$item->params_imported) : ?>
						<a href="javascript:void(0);"
						   onclick=""
						   class="btn disabled btn-grey hasTooltip"
						   title=""
						   data-original-title="<?php echo JText::_('COM_DB8OPTIONSLITE_OPTIONS_IMPORT_NOOPTIONS'); ?>">
							<span class="icon-upload"> </span>
						</a>
					<?php elseif ($item->params_imported_md5 == $item->params_current_md5) : ?>
						<a href="javascript:void(0);"
						   onclick=""
						   class="btn active btn-success hasTooltip"
						   title=""
						   data-original-title="<?php echo JText::_('COM_DB8OPTIONSLITE_OPTIONS_IMPORT_ACTIVE'); ?>">
							<span class="icon-upload"> </span>
						</a>
					<?php else: ?>
						<a href="javascript:void(0);"
						   onclick="document.forms.adminForm.type_of_param.value = 'imported'; return listItemTask('cb<?php echo $i;?>','components.change')"
						   class="btn btn-warning hasTooltip"
						   title=""
						   data-original-title="<?php echo JText::_('COM_DB8OPTIONSLITE_OPTIONS_IMPORT_SELECT'); ?>">
							<span class="icon-upload"> </span>
						</a>
					<?php endif; ?>

				</div>
			</td>

			<td>
			<?php /*
                <label for="cb<?php echo $i; ?>">
					<span class="bold hasTooltip" title="<?php echo JHtml::tooltipText($item->name, $item->description, 0); ?>">
            */?>
						<?php echo JText::_($item->realname) . '<br>' . '<small>(' . $item->name . ')</small>'; ?>
			<?php /*
					</span>
				</label>
            */?>
			</td>
            <td>
				<?php echo $item->type_translated; ?>
            </td>
			<td>
				<?php echo $item->client_translated; ?>
			</td>
			<td>
				<?php if ($item->params_current) : ?>

					<a class="btn active hasTooltip" href="javascript:void(0);"
					   onclick="return listItemTask('cb<?php echo $i;?>','components.backup')"
					   title="" data-original-title="Backup Options">
						<span class="icon-archive"></span> Backup
					</a>

					<a class="btn active hasTooltip" href="javascript:void(0);"
					   onclick="return listItemTask('cb<?php echo $i;?>','components.export')"
					   title="" data-original-title="Export Options">
						<span class="icon-download"></span> Export
					</a>

				<?php else : ?>

					<a class="btn disabled hasTooltip" href="javascript:void(0);"
					   onclick=""
					   title="" data-original-title="Can not Backup empty options">
						<span class="icon-archive"></span> Backup
					</a>

					<a class="btn disabled hasTooltip" href="javascript:void(0);"
					   onclick=""
					   title="" data-original-title="Can not Export empty options">
						<span class="icon-download"></span> Export
					</a>

				<?php endif; ?>

				<!-- <a class="btn btn-micro active hasTooltip" href="javascript:void(0);"
				   onclick="return listItemTask('cb<?php echo $i;?>','components.import')"
				   title="" data-original-title="Import Options"><span class="icon-upload"></span> Import</a> -->

				<a class="import-btn btn active hasTooltip" href="javascript:void(0);"
				   title="" data-original-title="Import Options">
					<input onchange="return listItemTask('cb<?php echo $i;?>','components.import')"
					       type="file" name="importfile<?php echo $item->extension_id;?>">
					<span class="icon-upload"></span> Import
				</a>
			</td>
<?php /*
			<td class="small">
				<?php if ($item->params_current): ?>

				<span class="bold hasTooltip" title=""
				      data-original-title="<strong><?php echo $item->name. ' - ' . $item->params_current_md5; ?></strong><br />
				      <?php echo htmlspecialchars($item->params_current); ?>">
				[cur:]
				</span>
				<?php if($item->params_current_md5 != 'd41d8cd98f00b204e9800998ecf8427e')
				{
					echo substr($item->params_current_md5, 0, 8); ;
				} ?>
				<br>
				<?php endif; ?>

				<?php if ($item->params_previous): ?>
				<span class="bold hasTooltip" title=""
					data-original-title="<strong><?php echo $item->name. ' - ' . $item->params_previous_md5; ?></strong><br />
					<?php echo htmlspecialchars($item->params_previous); ?>">
					[prev:] <?php echo substr($item->params_previous_md5, 0, 8); ?>
				</span>
				<br>
				<?php endif; ?>

				<?php if ($item->params_imported): ?>
				<span class="bold hasTooltip" title=""
					data-original-title="<strong><?php echo $item->name. ' - ' . $item->params_imported_md5; ?></strong><br />
					<?php echo htmlspecialchars($item->params_imported); ?>">
					[imp:] <?php echo substr($item->params_imported_md5, 0, 8); ; ?>
				</span>
				<?php endif; ?>
			</td>

			<td class="text-center">
				<?php if (!$item->params_previous) { ?>
					<span class="icon-publish"></span>
				<?php } else if ($item->params_previous_md5 == $item->params_current_md5) { ?>
					<span class="icon-publish"></span>
				<?php } else { ?>
					<a class="btn btn-micro2" href="javascript:void(0);"
					   onclick="document.forms.adminForm.type_of_param.value = 'original';
						   return listItemTask('cb<?php echo $i;?>','components.change')">
						<span class="icon-unpublish"></span>
					</a>
				<?php } ?>


				<?php if (!$item->params_previous) { ?>
					<span class="icon-unpublish"></span>
				<?php } else if ($item->params_imported_md5 == $item->params_current_md5) { ?>
					<span class="icon-publish"></span>
				<?php } else if ($item->params_imported_md5) { ?>
					<a class="btn btn-micro2" href="javascript:void(0);"
					   onclick="document.forms.adminForm.type_of_param.value = 'imported';
						   return listItemTask('cb<?php echo $i;?>','components.change')">
						<span class="icon-unpublish"></span>
					</a>
				<?php } else { ?>
					<span class="icon-unpublish"></span>
				<?php } ?>
			</td>
*/?>
			<td>
				<?php echo $item->extension_id; ?>
			</td>
		</tr>
			<?php endforeach; ?>

		</tbody>
	</div>

	<?php echo JHtml::_(
		'bootstrap.renderModal',
		'collapseModal',
		array(
			'title' => JText::_('COM_DB8OPTIONSLITE_BATCHTITLE'),
			'footer' => $layoutFooter->render()
		),
        $layout->render(array('title' => JText::_('COM_DB8OPTIONSLITE_IMPORT')))
	); ?>

	<input type="hidden" name="type_of_param" value=""/>
	<input type="hidden" name="task" value=""/>
	<input type="hidden" name="boxchecked" value="0"/>
	<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
	<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
	<?php echo JHtml::_('form.token'); ?>
</form>

