<?php
/**
 * @package    db8optionslite
 *
 * @author     Peter Martin <joomla@db8.eu>
 * @copyright  Copyright 2016-2017 by Peter Martin
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://db8.eu
 */

defined('_JEXEC') or die;

class Db8optionsliteViewComponents extends JViewLegacy
{

	protected $items;

	protected $pagination;

	protected $state;


	public function display($tpl = null)
	{
		$this->items = $this->get('Items');
		$this->state = $this->get('State');
		$this->pagination = $this->get('Pagination');
		$this->filterForm    = $this->get('FilterForm');
		$this->activeFilters = $this->get('ActiveFilters');

		if(count($errors = $this->get('Errors')))
		{
			JError::raiseError(500, implode("\n", $errors));
		}

		// Show the toolbar
		$this->toolbar();

		// Show the sidebar
		$this->helper = new Db8OptionsLiteHelper;
		$this->helper->addSubmenu('components');
        CustomSidebar::$info = JText::_('COM_DB8OPTIONSLITE_COMPONENTS_DESCRIPTION');
		$this->sidebar = CustomSidebar::render();

		return parent::display($tpl);
	}

	protected function Toolbar()
	{
        $bar = JToolbar::getInstance('toolbar');

		JToolBarHelper::title(JText::_('COM_DB8OPTIONSLITE'). ": " . JText::_('COM_DB8OPTIONSLITE_MENU_COMPONENTS'), 'options.png');

		JToolbarHelper::divider();

		JToolbarHelper::custom('components.batch', 'archive.png', 'archive_f2.png', 'COM_DB8OPTIONSLITE_BACKUP', false);

		JToolbarHelper::custom('components.batch', 'download.png', 'download_f2.png', 'COM_DB8OPTIONSLITE_EXPORT', false);

		JToolbarHelper::custom('components.batch', 'checkbox-partial.png', 'download_f2.png', 'COM_DB8OPTIONSLITE_IMPORT', false);

	}
}