<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_db8optionslite
 *
 * @copyright   Copyright (C) 2005 - 2016 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

// Include the component HTML helpers.
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$user       = JFactory::getUser();
$app        = JFactory::getApplication();
$userId     = $user->get('id');
$listOrder  = $this->escape($this->state->get('list.ordering'));
$listDirn   = $this->escape($this->state->get('list.direction'));
$ordering   = ($listOrder == 'a.lft');
$canOrder   = $user->authorise('core.edit.state',	'com_db8optionslite');
$saveOrder  = ($listOrder == 'a.lft' && strtolower($listDirn) == 'asc');
$menuTypeId = (int) $this->state->get('menutypeid');
$menuType   = (string) $app->getUserState('com_db8optionslite.items.menutype', '', 'string');

if ($saveOrder && $menuType)
{
	$saveOrderingUrl = 'index.php?option=com_db8optionslite&task=items.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'itemList', 'adminForm', strtolower($listDirn), $saveOrderingUrl, false, true);
}

$assoc = JLanguageAssociations::isEnabled();
$colSpan = ($assoc) ? 10 : 9;

if ($menuType == '')
{
	$colSpan--;
}

$document = JFactory::getDocument();
$style = '.btnw{width:15px;}';
$document->addStyleDeclaration($style);
?>
<?php // Set up the filter bar. ?>
<form action="<?php echo JRoute::_('index.php?option=com_db8optionslite&view=menuitems'); ?>" method="post" name="adminForm" id="adminForm">
<?php if (!empty( $this->sidebar)) : ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
<?php else : ?>
	<div id="j-main-container">
<?php endif;?>
		<?php
		// Search tools bar
		echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this), null, array('debug' => false));
		?>
<br>

		<?php if (empty($this->items)) : ?>
			<div class="alert alert-no-items">
				<?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
			</div>
		<?php else : ?>
			<table class="table table-striped" id="itemList">
				<thead>
					<tr>
						<?php if ($menuType) : ?>
							<th width="1%" class="nowrap center hidden-phone">
								<?php echo JHtml::_('searchtools.sort', '', 'a.lft', $listDirn, $listOrder, null, 'asc', 'JGRID_HEADING_ORDERING', 'icon-menu-2'); ?>
							</th>
						<?php endif; ?>
						<th width="1%" class="nowrap center">
							<?php echo JHtml::_('grid.checkall'); ?>
						</th>
						<th width="1%" class="nowrap center">
							<?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'a.published', $listDirn, $listOrder); ?>
						</th>
						<th width="180px" class='title'>
							<span class="hasTooltip"
							      title="<?php echo JText::_('COM_DB8OPTIONSLITE_MENUITEMS_OPTIONSVSGLOBAL_DESC'); ?>	">
								<?php echo JText::_('COM_DB8OPTIONSLITE_MENUITEMS_OPTIONSVSGLOBAL'); ?>
				            </span>
						</th>
						<th class="title">
							<?php echo JHtml::_('searchtools.sort', 'JGLOBAL_TITLE', 'a.title', $listDirn, $listOrder); ?>
						</th>
						<th class="nowrap hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'COM_DB8OPTIONSLITE_HEADING_MENU', 'menutype_title', $listDirn, $listOrder); ?>
						</th>
						<th width="10%" class="nowrap hidden-phone">
							<?php echo JHtml::_('searchtools.sort',  'JGRID_HEADING_ACCESS', 'a.access', $listDirn, $listOrder); ?>
						</th>
						<?php if ($assoc) : ?>
							<th width="5%" class="nowrap hidden-phone">
								<?php echo JHtml::_('searchtools.sort', 'COM_DB8OPTIONSLITE_HEADING_ASSOCIATION', 'association', $listDirn, $listOrder); ?>
							</th>
						<?php endif;?>
						<th width="15%" class="nowrap hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_LANGUAGE', 'language', $listDirn, $listOrder); ?>
						</th>
						<th width="1%" class="nowrap hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
						</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="<?php echo $colSpan; ?>">
							<?php echo $this->pagination->getListFooter(); ?>
						</td>
					</tr>
				</tfoot>

				<tbody>
				<?php
				foreach ($this->items as $i => $item) :
					$orderkey   = array_search($item->id, $this->ordering[$item->parent_id]);
					$canCreate  = $user->authorise('core.create',     'com_db8optionslite.menu.' . $menuTypeId);
					$canEdit    = $user->authorise('core.edit',       'com_db8optionslite.menu.' . $menuTypeId);
					$canCheckin = $user->authorise('core.manage',     'com_checkin') || $item->checked_out == $user->get('id')|| $item->checked_out == 0;
					$canChange  = $user->authorise('core.edit.state', 'com_db8optionslite.menu.' . $menuTypeId) && $canCheckin;


					/*
					 * Temporary settings to display the option buttons in the Menu Items overview
					 */
					$item->params_current = 1;
					$item->params_original=2;
					$item->params_current_md5 = 1;
					$item->params_original_md5 = 1;
					$item->params_imported_md5 = 1;
					$item->params_imported=2;

					// Get the parents of item for sorting
					if ($item->level > 1)
					{
						$parentsStr = "";
						$_currentParentId = $item->parent_id;
						$parentsStr = " " . $_currentParentId;

						for ($j = 0; $j < $item->level; $j++)
						{
							foreach ($this->ordering as $k => $v)
							{
								$v = implode("-", $v);
								$v = "-" . $v . "-";

								if (strpos($v, "-" . $_currentParentId . "-") !== false)
								{
									$parentsStr .= " " . $k;
									$_currentParentId = $k;
									break;
								}
							}
						}
					}
					else
					{
						$parentsStr = "";
					}
					?>
					<tr class="row<?php echo $i % 2; ?>" sortable-group-id="<?php echo $item->parent_id;?>" item-id="<?php echo $item->id?>" parents="<?php echo $parentsStr?>" level="<?php echo $item->level?>">
						<?php if ($menuType) : ?>

							<td class="order nowrap center hidden-phone">
								<?php
								$iconClass = '';

								if (!$canChange)
								{
									$iconClass = ' inactive';
								}
								elseif (!$saveOrder)
								{
									$iconClass = ' inactive tip-top hasTooltip" title="' . JHtml::tooltipText('JORDERINGDISABLED');
								}
								?>
								<span class="sortable-handler<?php echo $iconClass ?>">
									<span class="icon-menu"></span>
								</span>
								<?php if ($canChange && $saveOrder) : ?>
									<input type="text" style="display:none" name="order[]" size="5" value="<?php echo $orderkey + 1;?>" />
								<?php endif; ?>
							</td>
						<?php endif; ?>
						<td class="center">
							<?php echo JHtml::_('grid.id', $i, $item->id); ?>
						</td>
						<td class="center">
							<?php if ($item->published == 1)
							{
								echo '<span class="icon-publish"></span>';
							}
							else
							{
								echo '<span class="icon-unpublish"></span>';
							}; ?>
						</td>
						<td><?php

							$params = json_decode($item->params, true);
							$params_global = json_decode($item->params_global, true);

							$total = 0;
							$same = 0;
							$different = 0;

							// If there are NO global settings, do not compare them...
							if (!is_null($params_global))
							{

								// Determine which Menu Item Options can differ from Global Options
								// Which Options are available in Component Global Options & Menu Item Options
								foreach($params AS $key => $value)
								{
									if (array_key_exists($key, $params_global))
									{
										$total++;
									}
								}

								// Determine which Menu Item Options differ from Global Options
								foreach($params AS $key => $value)
								{
									if($value)
									{

										if (array_key_exists($key, $params_global)) {
											if ($params_global[$key] == $params[$key])
											{
												$unnecessary[$key] = [
													'params_global' => $params_global[$key],
													'params' => $params[$key]
												];
												$same++;
											}
											else
											{
												$different++;
												$override[$key] = [
													'params_global' => $params_global[$key],
													'params' => $params[$key]
												];

											}
										}
									}
								}

							}

							?>
							<?php if ($total > 0 )
							{
								echo '<span class="btn btnw btn-inverse hasTooltip" title="'
										. $total . ' ' . JText::_("COM_DB8OPTIONSLITE_MENUITEMS_OPTIONSVSGLOBAL_TOTAL") . '">' . $total . '</span>';
							}
							else
							{
								echo '<span class="btn btnw btn-grey">' . $total . '</span>';
							}
							?>

							<?php if (($total - ($same + $different)) > 0 )
							{
								echo '<span class="btn btnw btn-success hasTooltip" title="'
									. ($total - ($same + $different)) . ' '
									. JText::_("COM_DB8OPTIONSLITE_MENUITEMS_OPTIONSVSGLOBAL_NOTSET") . '">'
									. ($total - ($same + $different)) . '</span>';
							}
							else
							{
								echo '<span class="btn btnw btn-grey">' . ($total - ($same + $different)) . '</span>';
							}
							?>

							<?php if ($same > 0 )
							{
								echo '<span class="btn btnw btn-danger hasTooltip" title="'
									. $same . ' ' . JText::_("COM_DB8OPTIONSLITE_MENUITEMS_OPTIONSVSGLOBAL_SAME") . '">'
									. $same . '</span>';
							}
							else
							{
								echo '<span class="btn btnw btn-grey">' . $same . '</span>';
							}
							?>

							<?php if ($different > 0 )
							{
								echo '<span class="btn btnw btn-primary hasTooltip" title="'
									. $different . ' ' . JText::_("COM_DB8OPTIONSLITE_MENUITEMS_OPTIONSVSGLOBAL_DIFF")
									. '">' . $different . '</span>';
							}
							else
							{
								echo '<span class="btn btnw btn-grey">' . $different . '</span>';
							}
							?>
						</td>
						<td>
							<?php $prefix = JLayoutHelper::render('joomla.html.treeprefix', array('level' => $item->level)); ?>
							<?php echo $prefix; ?>
							<?php if ($item->checked_out) : ?>
								<?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'items.', $canCheckin); ?>
							<?php endif; ?>
							<strong>
								<?php echo $this->escape($item->title); ?>
                            </strong>
							<span class="small">
							<?php if ($item->type != 'url') : ?>
								<?php if (empty($item->note)) : ?>
									<?php echo JText::sprintf('JGLOBAL_LIST_ALIAS', $this->escape($item->alias));?>
								<?php else : ?>
									<?php echo JText::sprintf('JGLOBAL_LIST_ALIAS_NOTE', $this->escape($item->alias), $this->escape($item->note));?>
								<?php endif; ?>
							<?php elseif ($item->type == 'url' && $item->note) : ?>
								<?php echo JText::sprintf('JGLOBAL_LIST_NOTE', $this->escape($item->note));?>
							<?php endif; ?>
							</span>
							<div title="<?php echo $this->escape($item->path); ?>">
								<?php echo $prefix; ?>
								<span class="small"  title="<?php echo isset($item->item_type_desc) ? htmlspecialchars($this->escape($item->item_type_desc), ENT_COMPAT, 'UTF-8') : ''; ?>">
									<?php echo $this->escape($item->item_type); ?></span>
							</div>
						</td>

						<td class="small hidden-phone">
							<?php echo $this->escape($item->menutype_title); ?>
						</td>
						<td class="small hidden-phone">
							<?php echo $this->escape($item->access_level); ?>
						</td>
						<?php if ($assoc) : ?>
							<td class="small hidden-phone">
								<?php if ($item->association) : ?>
									<?php // todo echo JHtml::_('MenusHtml.Menus.association', $item->id); ?>
								<?php endif; ?>
							</td>
						<?php endif; ?>
						<td class="small hidden-phone">
							<?php if ($item->language == ''):?>
								<?php echo JText::_('JDEFAULT'); ?>
							<?php elseif ($item->language == '*') : ?>
								<?php echo JText::alt('JALL', 'language'); ?>
							<?php else : ?>
								<?php echo $item->language_title ? JHtml::_('image', 'mod_languages/' . $item->language_image . '.gif', $item->language_title, array('title' => $item->language_title), true) . '&nbsp;' . $this->escape($item->language_title) : JText::_('JUNDEFINED'); ?>
							<?php endif; ?>
						</td>
						<td class="hidden-phone">
							<span title="<?php echo sprintf('%d-%d', $item->lft, $item->rgt); ?>">
								<?php echo (int) $item->id; ?>
							</span>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		<?php endif; ?>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
